<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <system.web>
    <authorization>
      <allow users="*"/>
    </authorization>
  </system.web>

  <system.webServer>
    <staticContent>
      <clientCache cacheControlMode="UseMaxAge" cacheControlMaxAge="12:00:00" />
    </staticContent>
	<httpProtocol>
      <customHeaders>
		<!-- Ensure all our required headers are sat. If the blob is a subdir to wizdom, these settings are inherited from wizdoms web.config -->
		<remove name="Access-Control-Allow-Origin" />
		<remove name="Access-Control-Allow-Headers"/>
		<remove name="Access-Control-Allow-Methods"/>
        <remove name="Arr-Disable-Session-Affinity"/>
        <remove name="P3P" />
        <remove name="X-UA-Compatible" />
		
        <add name="Access-Control-Allow-Origin" value="*" />
        <add name="Access-Control-Allow-Headers" value="Origin, X-Requested-With, Content-Type, Accept,Authorization" />
        <add name="Access-Control-Allow-Methods" value="GET,POST,PUT,DELETE,PATCH" />
        <add name="Arr-Disable-Session-Affinity" value="true" />
        <add name="P3P" value="CP=&quot;IDC DSP COR ADM DEVi TAIi PSA PSD IVAi IVDi CONi HIS OUR IND CNT&quot;" />
        <add name="X-UA-Compatible" value="IE=edge" />
      </customHeaders>
    </httpProtocol>
  </system.webServer>

  <location path="Base/fonts">
    <system.webServer>
      <staticContent>
        <clientCache cacheControlMode="UseMaxAge" cacheControlMaxAge="99:00:00" />
      </staticContent>
    </system.webServer>
  </location>

  <location path="CustomStyles">
    <system.webServer>
      <staticContent>
        <clientCache cacheControlMode="UseMaxAge" cacheControlMaxAge="00:05:00" />
      </staticContent>
    </system.webServer>
  </location>

  <location path="CustomJavascript">
    <system.webServer>
      <staticContent>
        <clientCache cacheControlMode="UseMaxAge" cacheControlMaxAge="00:05:00" />
      </staticContent>
    </system.webServer>
  </location>

  <location path="Base/Bundles/CssGenerator.css">
    <system.webServer>
      <staticContent>
        <clientCache cacheControlMode="UseMaxAge" cacheControlMaxAge="00:05:00" />
      </staticContent>
    </system.webServer>
  </location>

  <location path="Base/Bundles/configuration.js">
    <system.webServer>
      <staticContent>
        <clientCache cacheControlMode="UseMaxAge" cacheControlMaxAge="00:05:00" />
      </staticContent>
    </system.webServer>
  </location>

  <location path="Base/Bundles/templates.js">
    <system.webServer>
      <staticContent>
        <clientCache cacheControlMode="UseMaxAge" cacheControlMaxAge="00:05:00" />
      </staticContent>
    </system.webServer>
  </location>
</configuration>